Skip to content
Last updated

title: Connect Imap keywords:

  • connect imap
  • post
  • connect
  • imap

Connect IMAP/SMTP email account with username/password authentication.

POSThttps://api.aitronos.com/v1/personal-connectors/connect-imap

Query Parameters

organization_id string required

Organization ID

Request Body

email_address string required

Email address

password string required

Email password

imap_host string required

IMAP server hostname

imap_port integer optional · Defaults to 993

IMAP port (993 for SSL, 143 for STARTTLS)

smtp_host string required

SMTP server hostname

smtp_port integer optional · Defaults to 465

SMTP port (465 for SSL, 587 for STARTTLS)

use_ssl boolean optional · Defaults to true

Use SSL/TLS connection


Returns

credential_id string

Credential ID

email_address string

Connected email address

message string

Success message

cURL
curl -X POST "https://api.aitronos.com/v1/personal-connectors/connect-imap" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "email_address": "your_email_address",
  "password": "your_password",
  "imap_host": "your_imap_host",
  "smtp_host": "your_smtp_host"
}'

Response:

200 OK
{
  "credential_id": "cred_abc123def456",
  "email_address": "example_email_address",
  "message": "Operation completed successfully"
}